> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Retry notification

GET https://api-sandbox.payabli.com/api/v2/notificationlogs/{uuid}/retry

Retry sending a specific notification.

**Permissions:** notifications_create

Reference: https://docs.payabli.com/developers/api-reference/notification-logs/retry-notification-log

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /v2/notificationlogs/{uuid}/retry:
    get:
      operationId: retryNotificationLog
      summary: Retry Notification Log
      description: |-
        Retry sending a specific notification.

        **Permissions:** notifications_create
      tags:
        - Notificationlogs
      parameters:
        - name: uuid
          in: path
          description: Unique id
          required: true
          schema:
            type: string
            format: uuid
        - name: requestToken
          in: header
          description: >
            Long-lived API token sent in the `requestToken` header. See [API
            token authentication](/developers/api-tokens).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationLogDetail'
        '400':
          description: Bad request / invalid data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '503':
          description: Database connection error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    StringStringKeyValuePair:
      type: object
      properties:
        key:
          type: string
        value:
          type: string
      title: StringStringKeyValuePair
    KeyValueArray:
      type: object
      properties:
        key:
          type: string
        value:
          type: array
          items:
            type: string
      title: KeyValueArray
    NotificationLogDetail:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier for the notification.
        orgId:
          type:
            - integer
            - 'null'
          format: int64
          description: The ID of the organization that the notification belongs to.
        paypointId:
          type:
            - integer
            - 'null'
          format: int64
          description: The ID of the paypoint that the notification is related to.
        notificationEvent:
          type:
            - string
            - 'null'
          description: The event that triggered the notification.
        target:
          type:
            - string
            - 'null'
          description: The target URL for the notification.
        responseStatus:
          type:
            - string
            - 'null'
          description: The HTTP response status of the notification.
        success:
          type: boolean
          description: Indicates whether the notification was successful.
        jobData:
          type:
            - string
            - 'null'
          description: Contains the body of the notification.
        createdDate:
          type: string
          format: date-time
          description: The date and time when the notification was created.
        successDate:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time when the notification was successfully delivered.
        lastFailedDate:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time when the notification last failed.
        isInProgress:
          type: boolean
          description: Indicates whether the notification is currently in progress.
        webHeaders:
          type: array
          items:
            $ref: '#/components/schemas/StringStringKeyValuePair'
        responseHeaders:
          type: array
          items:
            $ref: '#/components/schemas/KeyValueArray'
        responseContent:
          type: string
      required:
        - id
        - orgId
        - paypointId
        - notificationEvent
        - target
        - responseStatus
        - success
        - jobData
        - createdDate
        - successDate
        - lastFailedDate
        - isInProgress
      title: NotificationLogDetail
    PayabliErrorBodyResponseData:
      type: object
      properties:
        explanation:
          type: string
          description: Human-readable explanation of what happened.
        todoAction:
          type: string
          description: Suggested resolution.
      description: Object with detailed error context.
      title: PayabliErrorBodyResponseData
    PayabliErrorBody:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Always `false` for error responses.
        responseCode:
          type: integer
          description: |
            Code for the response. Learn more in
            [API Response Codes](/developers/api-reference/api-responses).
        responseText:
          type: string
          description: Error text describing what went wrong.
        responseData:
          $ref: '#/components/schemas/PayabliErrorBodyResponseData'
          description: Object with detailed error context.
      required:
        - isSuccess
        - responseText
      description: |
        Shape returned by every Payabli API error response. The `responseData`
        object carries human-readable error context.
      title: PayabliErrorBody
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken
      description: >
        Long-lived API token sent in the `requestToken` header. See [API token
        authentication](/developers/api-tokens).
    BearerAuth:
      type: http
      scheme: bearer
      description: >
        OAuth2 Bearer access token from the client-credentials flow. See [OAuth
        authentication](/developers/oauth-authentication).

```

## Examples



**Response**

```json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "orgId": 123,
  "paypointId": 3040,
  "notificationEvent": "ActivatedMerchant",
  "target": "https://webhook.example.com/payments",
  "responseStatus": "200",
  "success": true,
  "jobData": "{\"transactionId\":\"txn_123\"}",
  "createdDate": "2024-01-15T10:30:00Z",
  "successDate": "2024-01-15T10:30:05Z",
  "lastFailedDate": null,
  "isInProgress": false,
  "webHeaders": [
    {
      "key": "Content-Type",
      "value": "application/json"
    }
  ],
  "responseHeaders": [
    {
      "key": "Content-Type",
      "value": [
        "application/json"
      ]
    }
  ],
  "responseContent": "{\"status\":\"received\",\"id\":\"wh_123\"}"
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.notificationlogs.retryNotificationLog("550e8400-e29b-41d4-a716-446655440000");
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.notificationlogs.retry_notification_log(
    uuid_="550e8400-e29b-41d4-a716-446655440000",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.notificationlogs().retryNotificationLog("550e8400-e29b-41d4-a716-446655440000");
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.notificationlogs.retry_notification_log(uuid: "550e8400-e29b-41d4-a716-446655440000")

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Notificationlogs.RetryNotificationLogAsync(
            "550e8400-e29b-41d4-a716-446655440000"
        );
    }

}

```

```go
package example

import (
    context "context"

    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    client.Notificationlogs.RetryNotificationLog(
        context.TODO(),
        "550e8400-e29b-41d4-a716-446655440000",
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->notificationlogs->retryNotificationLog(
    '550e8400-e29b-41d4-a716-446655440000',
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/v2/notificationlogs/550e8400-e29b-41d4-a716-446655440000/retry")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```